%define api_version     3.0
%define lib_major	0
%define lib_name	%mklibname soup %{api_version} %{lib_major}
%define gi_name		%mklibname soup-gir %{api_version}
%define develname	%mklibname -d soup 3

%bcond_with docs

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	SOAP (Simple Object Access Protocol) implementation
Name:		libsoup3
Version:	3.2.2
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/libsoup/%{url_ver}/libsoup-%{version}.tar.xz
BuildRequires:	git
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0) >= 2.36.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(krb5-gssapi)
BuildRequires:	pkgconfig(libbrotlidec)
BuildRequires:	pkgconfig(libnghttp2)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libpsl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	samba-winbind-clients
BuildRequires:	pkgconfig(vapigen)
Requires:	glib-networking

%if %{with docs}
BuildRequires:	gi-docgen
%endif

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package i18n
Summary:	Library for soup - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains translations used by soup.

%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.


%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/Libraries
Provides:	libsoup-%{api_version}-devel = %{version}-%{release}
Provides:	libsoup-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}

%description -n %{develname}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%setup -qn libsoup-%version
%apply_patches

%build
%meson \
	-Dtls_check=false \
 	-Dautobahn=disabled \
 	-Dtests=false \
	-Ddocs=%{?with_docs:enabled}%{?!with_docs:disabled}

%meson_build

%install
%meson_install

%find_lang libsoup-%{api_version}

%files i18n -f libsoup-%{api_version}.lang

%files -n %{lib_name}
%{_libdir}/libsoup-%{api_version}.so.%{lib_major}*
%{_libdir}/girepository-1.0/Soup-%{api_version}.typelib

%files -n %{develname}
%if %{with docs}
%doc %{_docdir}/libsoup-%{api_version}/
%endif
%{_datadir}/gir-1.0/Soup-%{api_version}.gir
%{_libdir}/libsoup-%{api_version}.so
%{_libdir}/pkgconfig/libsoup-%{api_version}.pc
%{_includedir}/libsoup-%{api_version}/
%{_datadir}/vala/vapi/libsoup-%{api_version}.deps
%{_datadir}/vala/vapi/libsoup-%{api_version}.vapi


%changelog
* Thu Nov 03 2022 tex - 3.2.2-1pclos2022
- new version

* Fri Oct 21 2022 tex - 3.2.1-1pclos2022
- new version

* Thu Sep 29 2022 tex - 3.2.0-2pclos2022
- apply crash fix patch

* Sun Sep 25 2022 tex - 3.2.0-1pclos2022
- new version 3.2.0
